Bug 591025 - Anaconda sets wrong console font when installed with Czech language and keymap
Anaconda sets wrong console font when installed with Czech language and keymap
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 05:22 EDT by Kamil Páral
Modified: 2011-06-27 12:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dumpkeys with cz-us-qwertz keymap active (44.45 KB, text/plain)
2010-05-11 05:22 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-05-11 05:22:05 EDT
Created attachment 413076 [details]
output of dumpkeys with cz-us-qwertz keymap active

Description of problem:
I have following keymap settings:

# cat /etc/sysconfig/keyboard 
KEYTABLE="cz-us-qwertz"
MODEL="pc105"
LAYOUT="cz,us"
VARIANT="qwerty"
OPTIONS="grp:shifts_toggle,grp_led:scroll"

When I log into VT and try to write czech characters, the acute ones are printed correctly (áéíóú), but these ones are printed wrongly:

------------------
|expected|printed|
------------------
|   ž    |   ¾   |
|   š    |   ¹   |
|   č    |   è   |
|   ř    |   ø   |
|   ď    |   ï   |
|   ť    |   »   |
|   ň    |   ò   |
|   ů    |   ù   |
------------------

I tried also cz-lat2 keyboard and it has exactly the same problem, those characters are printed wrongly, others are fine.

When I log into Gnome with Czech keymap, all characters are printed fine. The config is following:

# cat /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf 
# This file is autogenerated by system-setup-keyboard. Any 
# modifications will be lost.

Section "InputClass"
	Identifier	"system-setup-keyboard"
	MatchIsKeyboard	"on"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"cz,us"
	Option		"XkbVariant"	"qwerty"
	Option		"XkbOptions"	"terminate:ctrl_alt_bksp,grp:shifts_toggle,grp_led:scroll"
EndSection


Version-Release number of selected component (if applicable):
kbd-1.15-9.fc12.x86_64
Fedora 13 Final RC2

How reproducible:
always

Steps to Reproduce:
1. configure Czech keymap in system-config-keyboard
2. log into VT
3. try to write caron characters (some of them are on keys 2-6)

Actual results:
žščřďťňů are printed wrongly

Expected results:
žščřďťňů are printed fine

Additional info:
Attaching output of dumpkeys run with cz-us-qwertz keymap active.
Comment 1 Vitezslav Crhonek 2010-05-11 05:47:04 EDT
Please let me see your /etc/sysconfig/i18n.

Did you change your consolefont to the set that is able to print caron characters (e. g. 'setfont /lib/kbd/consolefonts/lat2a-16.psfu.gz')?
Comment 2 Kamil Páral 2010-05-11 06:54:04 EDT
# cat /etc/sysconfig/i18n 
LANG="cs_CZ.UTF-8"
SYSFONT="latarcyrheb-sun16"

I have been able to see czech characters (even with carons) correctly in the boot messages, so I supposed the font had to be set correctly. I should also note that I do all this stuff in a KVM using virt-manager.

After running "setfont /lib/kbd/consolefonts/lat2a-16.psfu.gz" the characters are now printed properly, great!

So the problem is that an incorrect font is set when installing with Czech keymap. I suppose it's still a bug. Which component is to blame, system-config-keyboard?
Comment 3 Vitezslav Crhonek 2010-05-11 07:36:43 EDT
I think it's not a bug. There's no tool I'm aware of which is able to do such thing in text console. keymap is set by loadkeys from kbd - but that's standalone program, it does nothing more.

During system install, anaconda sets the default console font on the language basis. After that, I believe that user is on his own.

system-config-keyboard just sets keymap and updates /etc/sysconfig/keyboard, it doesn't set font and also doesn't touch /etc/sysconfig/i18n.

system-config-language changes LANG in /etc/sysconfig/i18n, but doesn't touch font and keymap.
Comment 4 Kamil Páral 2010-05-11 08:19:04 EDT
From your response I understand that anaconda is the only program that sets SYSFONT in /etc/sysconfig/i18n, is that correct?

If that's true, then I think it's the fault of anaconda. I have chosen Czech language in the installer, but anaconda has provided me with a wrong console font (unable to display my national characters).

Of course when I change the language after installation, then it's a different issue. But this time Czech was chosen from the beginning in the installer. So it should have been set accordingly, but wasn't.

Of course we could also create an RFE in system-config-keyboard/language to adjust SYSFONT correctly when keymap/language is changed.

What do you think?
Comment 5 Vitezslav Crhonek 2010-05-13 10:36:24 EDT
(In reply to comment #4)
> From your response I understand that anaconda is the only program that sets
> SYSFONT in /etc/sysconfig/i18n, is that correct?

I don't know it for sure, it's possible, try to ask anaconda maintainers.

> 
> If that's true, then I think it's the fault of anaconda. I have chosen Czech
> language in the installer, but anaconda has provided me with a wrong console
> font (unable to display my national characters).
> 
> Of course when I change the language after installation, then it's a different
> issue. But this time Czech was chosen from the beginning in the installer. So
> it should have been set accordingly, but wasn't.
> 
> Of course we could also create an RFE in system-config-keyboard/language to
> adjust SYSFONT correctly when keymap/language is changed.
> 
> What do you think?

I don't think it's a good idea. Changing keymap doesn't necessarily mean that you want change font too... But this is up to s-c-* maintainers, not up to me.
Comment 6 Kamil Páral 2010-05-13 10:47:52 EDT
Thank you, Vítězslav, for your reply. Re-assigning to anaconda and hoping for more answers... :)
Comment 7 Chris Lumens 2010-05-14 10:54:50 EDT
Kamil - so if you change /etc/sysconfig/i18n to have:

SYSFONT="lat2a-16"

(or some variation - maybe you need the .psfu in there as well?) then it works fine?  If so, we just need to change the entry in lang-table.
Comment 8 Kamil Páral 2010-05-17 03:52:33 EDT
Chris, give me a week or two, I have to test it on real hardware. The KVM is playing with me, it seems to be pretty non-deterministic at the moment. Thanks.
Comment 9 Kamil Páral 2010-05-28 12:46:29 EDT
So, I have spent quite some time on this. When I first installed systems, the czech characters are displayed improperly, as stated in the descriptions. But after I reboot, everything is fine. I don't have to change SYSFONT, or I can, it doesn't matter, it displays fine.

So I tried to re-run firstboot... bingo! After firstboot has finished, the characters appearance is again broken. Reboot again fixes it.

So it should be firstboot problem. What confuses me is that the same problem is present in anaconda rescue mode. When I just run rescue mode and let it drop into shell, the characters are broken exactly the same way like after running firstboot.

Any suggestions?
Comment 10 Bug Zapper 2011-06-02 10:12:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 12:16:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.